Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceOperator

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.voice.common.bean.VoiceOperator

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class VoiceOperator
    extends IdTitle

Модель оператора. У каждого оператора могут быть свои направления, георграфические коды, карты цен и зон. По операторам можно строить отчеты и тарифицировать межоператорские расчеты

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `OPERATOR_DEFAULT_ID` |
  `static int` | `OPERTOR_ALL_ID` |

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VoiceOperator()` |
  `VoiceOperator​(int id, java.lang.String title)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` | Получение комментария.
  `int` | `getContractId()` | Получение код договора, к которому привязан данный оператор.
  `java.lang.String` | `getContractTitle()` | Получение названия договора, к которому привязан данный оператор.
  `boolean` | `isUseCustomGeoDict()` |
  `void` | `setComment​(java.lang.String comment)` | Установка комментария.
  `void` | `setContractId​(int contractId)` | Установка кода договора, к которому привязан данный оператор.
  `void` | `setContractTitle​(java.lang.String title)` | Установка названия договора, к которому привязан данный оператор.
  `void` | `setUseCustomGeoDict​(boolean useCustomGeoDict)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### OPERATOR_DEFAULT_ID

    public static int OPERATOR_DEFAULT_ID

  - ### OPERTOR_ALL_ID

    public static int OPERTOR_ALL_ID

- ## Constructor Details

  - ### VoiceOperator

    public VoiceOperator()

  - ### VoiceOperator

    public VoiceOperator​(int id, java.lang.String title)

- ## Method Details

  - ### getContractId

    public int getContractId()
    Получение код договора, к которому привязан данный оператор.
    Returns:
      код договора.

  - ### setContractId

    public void setContractId​(int contractId)
    Установка кода договора, к которому привязан данный оператор.
    Parameters:
      `contractId` - код договора.

  - ### getContractTitle

    public java.lang.String getContractTitle()
    Получение названия договора, к которому привязан данный оператор.
    Returns:
      название договора.

  - ### setContractTitle

    public void setContractTitle​(java.lang.String title)
    Установка названия договора, к которому привязан данный оператор.
    Parameters:
      `title` - название договора.

  - ### getComment

    public java.lang.String getComment()
    Получение комментария.
    Returns:
      комментарий.

  - ### setComment

    public void setComment​(java.lang.String comment)
    Установка комментария.
    Parameters:
      `comment` - комметарий.

  - ### isUseCustomGeoDict

    public boolean isUseCustomGeoDict()

  - ### setUseCustomGeoDict

    public void setUseCustomGeoDict​(boolean useCustomGeoDict)